com.sun.syndication.feed.synd.impl

## Class ConverterForAtom03

- java.lang.Object
- - com.sun.syndication.feed.synd.impl.ConverterForAtom03

All Implemented Interfaces:
  Converter

    public class ConverterForAtom03
    extends java.lang.Object
    implements Converter

### Constructor Summary

Constructors
`` `ConverterForAtom03()`
`protected` `ConverterForAtom03(java.lang.String type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`Link` `createAtomEnclosure(SyndEnclosure syndEnclosure)`
`protected java.util.List` `createAtomEntries(java.util.List syndEntries)`
`protected Entry` `createAtomEntry(SyndEntry sEntry)`
`Link` `createAtomLink(SyndLink syndLink)`
`protected static java.util.List` `createAtomPersons(java.util.List sPersons)`
`WireFeed` `createRealFeed(SyndFeed syndFeed)` Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.
`SyndEnclosure` `createSyndEnclosure(Entry entry, Link link)`
`protected java.util.List` `createSyndEntries(java.util.List atomEntries, boolean preserveWireItems)`
`protected SyndEntry` `createSyndEntry(Entry entry, boolean preserveWireItem)`
`SyndLink` `createSyndLink(Link link)`
`protected java.util.List` `createSyndLinks(java.util.List aLinks)`
`protected static java.util.List` `createSyndPersons(java.util.List aPersons)`
`java.lang.String` `getType()` Returns the type (version) of the real feed this converter handles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterForAtom03

    public ConverterForAtom03()

#### ConverterForAtom03

    protected ConverterForAtom03(java.lang.String type)

### Method Detail

#### getType

    public java.lang.String getType()

Description copied from interface: `Converter`
Returns the type (version) of the real feed this converter handles.

Specified by:
  `getType` in interface `Converter`
Returns:
  the real feed type.
See Also:
  `for details on the format of this string.

  `

#### copyInto

    public void copyInto(WireFeed feed,
                         SyndFeed syndFeed)

Description copied from interface: `Converter`
Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

It assumes the given SyndFeedImpl has no properties set.

Specified by:
  `copyInto` in interface `Converter`
Parameters:
  `feed` - real feed to copy/convert.
  `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

#### createSyndLinks

    protected java.util.List createSyndLinks(java.util.List aLinks)

#### createSyndLink

    public SyndLink createSyndLink(Link link)

#### createSyndEntries

    protected java.util.List createSyndEntries(java.util.List atomEntries,
                                               boolean preserveWireItems)

#### createSyndEntry

    protected SyndEntry createSyndEntry(Entry entry,
                                        boolean preserveWireItem)

#### createSyndEnclosure

    public SyndEnclosure createSyndEnclosure(Entry entry,
                                             Link link)

#### createRealFeed

    public WireFeed createRealFeed(SyndFeed syndFeed)

Description copied from interface: `Converter`
Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.

Specified by:
  `createRealFeed` in interface `Converter`
Parameters:
  `syndFeed` - SyndFeedImpl to copy/convert value from.
Returns:
  a real feed with copied/converted values of the SyndFeedImpl.

#### createAtomPersons

    protected static java.util.List createAtomPersons(java.util.List sPersons)

#### createSyndPersons

    protected static java.util.List createSyndPersons(java.util.List aPersons)

#### createAtomEntries

    protected java.util.List createAtomEntries(java.util.List syndEntries)

#### createAtomEntry

    protected Entry createAtomEntry(SyndEntry sEntry)

#### createAtomLink

    public Link createAtomLink(SyndLink syndLink)

#### createAtomEnclosure

    public Link createAtomEnclosure(SyndEnclosure syndEnclosure)